package com.notuvy.gui;

import javax.swing.*;
import java.util.List;
import java.util.Arrays;

/**
 * A collection of components that are all enabled/disabled as a unit.
 *
 * @author murali
 */
public class ComponentEnableSet {

    //------------------------------------------------------------
    //- Class Variables


    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables

    private final List<JComponent> fComponents;


    //------------------------------------------------------------
    //- Constructors

    public ComponentEnableSet(JComponent... pComponents) {
        fComponents = Arrays.asList(pComponents);
    }

    //------------------------------------------------------------
    //- Gettors


    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions

    public ComponentEnableSet add(JComponent pComponent) {
        fComponents.add(pComponent);
        return this;
    }

    public void setEnabled(boolean pState) {
        for (JComponent component : fComponents) {
            component.setEnabled(pState);
        }
    }

    //------------------------------------------------------------
    //- Class Interface Functions


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main


}
