package com.notuvy.gui;

import javax.swing.*;
import java.util.Map;
import java.util.HashMap;

/**
 * Logic to construct and define the GUI menu for a frame.
 *
 * User: murali
 * Date: Nov 8, 2010
 * Time: 12:29:32 PM
 */
public class MenuBarBuilder {

    //------------------------------------------------------------
    //- Class Variables


    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables

    private final JMenuBar fMenuBar = new JMenuBar();
    private final Map<String,MenuBuilder> fMap = new HashMap<String,MenuBuilder>();


    //------------------------------------------------------------
    //- Constructors


    //------------------------------------------------------------
    //- Getters


    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions

    public MenuBarBuilder add(String pMenuName) {
        MenuBuilder builder = new MenuBuilder(pMenuName, fMenuBar);
        fMap.put(pMenuName, builder);
        return this;
    }

    public MenuBuilder get(String pMenuName) {
        return fMap.get(pMenuName);
    }

    public void setFor(JFrame pFrame) {
        if (fMenuBar.getMenuCount() > 0) {
            pFrame.setJMenuBar(fMenuBar);
        }
    }

    public void setFor(JDialog pDialog) {
        if (fMenuBar.getMenuCount() > 0) {
            pDialog.setJMenuBar(fMenuBar);
        }
    }

    //------------------------------------------------------------
    //- Class Interface Functions


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main

}
